net.sf.jasperreports.charts.type

## Enum ScaleTypeEnum

- java.lang.Object
- - java.lang.Enum<ScaleTypeEnum>
  - - net.sf.jasperreports.charts.type.ScaleTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ScaleTypeEnum>, JREnum, NamedEnum

      public enum ScaleTypeEnum
      extends java.lang.Enum<ScaleTypeEnum>
      implements JREnum

  Version:
    $Id: ScaleTypeEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ON_BOTH_AXES`
    `ON_DOMAIN_AXIS`
    `ON_RANGE_AXIS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScaleTypeEnum` | `getByName(java.lang.String name)`
    `static ScaleTypeEnum` | `getByValue(byte value)`
    `static ScaleTypeEnum` | `getByValue(java.lang.Byte value)`
    `static ScaleTypeEnum` | `getByValue(java.lang.Integer value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static ScaleTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ScaleTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ON_BOTH_AXES

          public static final ScaleTypeEnum ON_BOTH_AXES

    - #### ON_DOMAIN_AXIS

          public static final ScaleTypeEnum ON_DOMAIN_AXIS

    - #### ON_RANGE_AXIS

          public static final ScaleTypeEnum ON_RANGE_AXIS

  - ### Method Detail

    - #### values

          public static ScaleTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScaleTypeEnum c : ScaleTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScaleTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static ScaleTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static ScaleTypeEnum getByValue(java.lang.Integer value)

    - #### getByValue

          public static ScaleTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static ScaleTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com